generalMatrix-class {Matrix} | R Documentation

## Class "generalMatrix" of General Matrices

### Description

Virtual class of “general” matrices; i.e., matrices that do not have a known property such as symmetric, triangular, or diagonal.

### Objects from the Class

A virtual Class: No objects may be created from it.

### Slots

`factors`

  ,

`Dim`

  ,

`Dimnames`:

  all slots inherited from `compMatrix`; see its description.

### Extends

Class `"compMatrix"`, directly. Class `"Matrix"`, by class `"compMatrix"`.

### See Also

Classes `compMatrix`, and the non-general virtual classes: `symmetricMatrix`, `triangularMatrix`, `diagonalMatrix`.

[Package Matrix version 1.2-17 Index]